aboutsummaryrefslogtreecommitdiffstats
path: root/tools/sed/sedcheck.sh
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2006-09-27 14:06:46 +0000
committerFelix Fietkau <nbd@openwrt.org>2006-09-27 14:06:46 +0000
commita723361df9cb4cb58d7e806218d98df72d57cdae (patch)
treedc35000b8b3ff329b1029e8563aab31aaba9f98b /tools/sed/sedcheck.sh
parent0199c0e95cfbd490a1c39ac744fdb68149c73977 (diff)
downloadupstream-a723361df9cb4cb58d7e806218d98df72d57cdae.tar.gz
upstream-a723361df9cb4cb58d7e806218d98df72d57cdae.tar.bz2
upstream-a723361df9cb4cb58d7e806218d98df72d57cdae.zip
move tools from toolchain/ to tools/
git-svn-id: svn://svn.openwrt.org/openwrt/branches/buildroot-ng/openwrt@4866 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'tools/sed/sedcheck.sh')
-rwxr-xr-xtools/sed/sedcheck.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/tools/sed/sedcheck.sh b/tools/sed/sedcheck.sh
new file mode 100755
index 0000000000..de15ac2f19
--- /dev/null
+++ b/tools/sed/sedcheck.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+if [ -x /usr/bin/sed ]; then
+ SED="/usr/bin/sed";
+else
+ if [ -x /bin/sed ]; then
+ SED="/bin/sed";
+ fi;
+fi;
+
+echo "HELLO" > .sedtest
+$SED -i -e "s/HELLO/GOODBYE/" .sedtest >/dev/null 2>&1
+
+case "$1" in
+ *)
+ if [ $? != 0 ] ; then
+ echo build-sed-host-binary
+ else
+ echo use-sed-host-binary
+ fi;
+ ;;
+esac
+rm -f .sedtest
+
+